QGIS Application - Bug report #3607
GDALTools: Inconsistent behaviour on windows standalone in QGIS 1.6
2011-03-14 04:02 AM - ramon .

Status: Closed

Priority: Low

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 13666
Description

(Paolo asked me to add my bits to the the ticket, but | can't find it so I'm making this one up. If it does exist, apologies for making more
work, but can someone merge them?)

Paolo notes:

In some (but not all) Windows machines (both seven and xp) we are getting
crashes in gdaltools (contour, buildvrt, possibly others) [qgis 1.6,
standalone]. | noticed that there are 2 gdal app folders (16 and 17).

Anyone can confirm the problem?

Any idea of what we can test?

| tested this on two windows machines using standalone 1.6. Both indicate that they are using QGIS 1.6.0 - "Code revision exported”, and
GDAL/OGR 1.5.4.

One machine is XP (32-bit), the other 7 (64-bit).

For both computers | loaded the same georeferenced jpeg (MGA94,zone 51), and used the GDALTools Contouring option. To make the
processing of this file faster | set the contouring to 100 (default 10).

On the winXP 32bit machine it completed with out problems.
On the win7 64bit machine, it displayed "The process crashed sometime after starting successfully” after creating the shape files but

before asking what CRS to use.

The created shape files from the two machies are however, identical. (I can add them to the report if helpful)

History

#1 - 2011-04-06 08:13 PM - Alister Hood

Does this occur with the osgeo nightly builds?

We had the same problem previously, but not now that we are running nightly builds.

#2 - 2011-04-06 08:42 PM - ramon .

Yes. Seems to work for osgeo both 1.6 and 1.7.

The problem was with the standalone install.

The standalone version is important.
If you need to explain to a windows user how to install QGIS, or uninstall/reinstall, the standalone version makes life simpler. Being the familiar install path,

it removes a hurdle to getting someone into GIS.

#3 - 2011-04-06 08:46 PM - Alister Hood

Seems to work for osgeo both 1.6 and 1.7

Ah, OK.

We had what seemed to be the same problem with the osgeo 1.5 and 1.6, but | guess it could have been a different problem.

#4 - 2011-04-06 10:31 PM - ramon .

| wouldn't rule that out.

I've only got a small set of computers to compare with (see above), and all but mine are standalone, so | have single sample point to say it works.

Did you or Paolo (if he has had time) see any sort of patterns?

#5 - 2011-04-06 10:33 PM - Alister Hood

| didn't test on enough machines to see patterns :(

#6 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2011-12-16 03:11 PM - Giuseppe Sucameli
- Pull Request or Patch supplied set to No

About the problem with QGis standalone on Win 64bit, see #3476.
Did this problem occur with 32bit OSs as well?

#8 - 2012-04-16 06:26 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#9 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2012-12-31 01:24 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#11 - 2013-03-21 05:25 AM - ramon .

Has anyone seen this one pop up recently?
It's just occurred to me that I've been using gdal's contouring recently and didn't have any problems.

Maybe it's not an issue any more?

#12 - 2014-06-22 03:58 PM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to worksforme

#13 - 2014-06-29 10:13 AM - Jiirgen Fischer

- Assignee deleted (anonymous -)
